<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getCompanyRep](./bitburner.singularity.getcompanyrep.md)

## Singularity.getCompanyRep() method

Get company reputation.

**Signature:**

```typescript
getCompanyRep(companyName: CompanyName | `${CompanyName}`): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  companyName | [CompanyName](./bitburner.companyname.md) \| \`${[CompanyName](./bitburner.companyname.md)<!-- -->}\` | Name of the company. |

**Returns:**

number

Amount of reputation you have at the specified company.

## Remarks

RAM cost: 1 GB \* 16/4/1

This function will return the amount of reputation you have at the specified company. If the company passed in as an argument is invalid, -1 will be returned.

